CREATE TABLE atc_offer_banners_ (
    BANNER_ID                NUMBER(18, 0) ,
    BANNER_NAME              VARCHAR2(800) ,
    BANNER_DESCRIPTION       VARCHAR2(4000),
    BANNER_PRIORITY          NUMBER(3, 0)  ,
    START_DATE_TIME          TIMESTAMP(6)  ,
    END_DATE_TIME            TIMESTAMP(6)  ,
    PROD_OFFER_ID            NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    BANNER_ID                NUMBER(18, 0) ,
    BANNER_NAME              VARCHAR2(800) ,
    BANNER_DESCRIPTION       VARCHAR2(4000),
    BANNER_PRIORITY          NUMBER(3, 0)  ,
    START_DATE_TIME          TIMESTAMP(6)  ,
    END_DATE_TIME            TIMESTAMP(6)  ,
    PROD_OFFER_ID            NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    CONSTRAINT pk_atc_offer_banners_ PRIMARY KEY (BANNER_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, BANNER_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
